## tanzu cluster upgrade

Upgrade a cluster

```
tanzu cluster upgrade CLUSTER_NAME [flags]
```

### Examples

```

  # Upgrade a workload cluster
  tanzu cluster upgrade wc-1

  # Upgrade a workload cluster with specific tkr v1.20.1---vmware.1-tkg.2
  tanzu cluster upgrade wc-1 --tkr v1.20.1---vmware.1-tkg.2

  # Upgrade a workload cluster with tkr prefix v1.20.1
  tanzu cluster upgrade wc-1 --tkr v1.20.1

  # Upgrade a workload cluster using specific os name (vsphere)
  tanzu cluster upgrade wc-1 --os-name photon

  # Upgrade a workload cluster using specific os name and version
  tanzu cluster upgrade wc-1 --os-name ubuntu --os-version 20.04

  # Upgrade a workload cluster using specific os name, version and arch
  tanzu cluster upgrade wc-1 --os-name ubuntu --os-version 20.04 --os-arch amd64

  [+] : Options available for: os-name, os-version, os-arch are as follows:
  vSphere:
    --os-name ubuntu --os-version 20.04 --os-arch amd64
    --os-name photon --os-version 3 --os-arch amd64
  aws:
    --os-name ubuntu --os-version 20.04 --os-arch amd64
    --os-name amazon --os-version 2 --os-arch amd64
  azure:
    --os-name ubuntu --os-version 20.04 --os-arch amd64
    --os-name ubuntu --os-version 18.04 --os-arch amd64

```

### Options

```
  -h, --help                help for upgrade
  -n, --namespace string    The namespace where the workload cluster was created. Assumes 'default' if not specified
      --os-arch string      OS arch to use during cluster upgrade. Discovered automatically if not provided (See [+])
      --os-name string      OS name to use during cluster upgrade. Discovered automatically if not provided (See [+])
      --os-version string   OS version to use during cluster upgrade. Discovered automatically if not provided (See [+])
  -t, --timeout duration    Time duration to wait for an operation before timeout. Timeout duration in hours(h)/minutes(m)/seconds(s) units or as some combination of them (e.g. 2h, 30m, 2h30m10s) (default 30m0s)
      --tkr string          TanzuKubernetesRelease(TKr) to upgrade to. If TKr name prefix is provided, the latest compatible TKr matching the TKr name prefix would be used
  -y, --yes                 Upgrade workload cluster without asking for confirmation
```

### Options inherited from parent commands

```
      --log-file string   Log file path
  -v, --verbose int32     Number for the log level verbosity(0-9)
```

### SEE ALSO

* [tanzu cluster](tanzu_cluster.md)     - Kubernetes cluster operations

###### Auto generated by spf13/cobra on 15-Jul-2021
