## tanzu completion

Output shell completion code

### Synopsis


Output shell completion code for the specified shell [bash zsh].

The shell completion code must be evaluated to provide completion. See Examples
for how to perform this for your given shell.

Note for bash users: make sure the bash-completions package has been installed.
Note for zsh users: zsh >= 5.2 is required for command completion.

```
tanzu completion [bash zsh]
```

### Examples

```

# Bash instructions:

  ## Load only for current session:
  source <(tanzu completion bash)

  ## Load for all new sessions:
  tanzu completion bash >  $HOME/.tanzu/completion.bash.inc
  printf "\n# Tanzu shell completion\nsource '$HOME/.tanzu/completion.bash.inc'\n" >> $HOME/.bash_profile

# Zsh instructions:

  ## Load only for current session:
  source <(tanzu completion zsh)

  ## Load for all new sessions:
  echo "autoload -U compinit; compinit" >> ~/.zshrc
  tanzu completion zsh > "${fpath[1]}/_tanzu"
```

### Options

```
  -h, --help   help for completion
```

### SEE ALSO

* [tanzu](tanzu.md)     - Tanzu CLI

###### Auto generated by spf13/cobra on 4-May-2021
