## tanzu management-cluster create

Create a Tanzu Kubernetes Grid management cluster

### Synopsis

Create a Tanzu Kubernetes Grid management cluster including initializing it with Cluster API components appropriate for the target infrastructure.

```
tanzu management-cluster create [flags]
```

### Examples

```

    # Create a management cluster on AWS infrastructure, initializing it with
    # components required to create workload clusters through it on the same infrastructure
    # by bootstrapping through a self-provisioned bootstrap cluster.
    tanzu management-cluster create --file ~/clusterconfigs/aws-mc-1.yaml
    # Launch an interactive UI to configure the settings necessary to create a
    # management cluster
    tanzu management-cluster create --ui
    # Create a management cluster on vSphere infrastructure by using an existing
    # bootstrapper cluster. The current kube context should point to that
    # of the existing bootstrap cluster.
    tanzu management-cluster create --use-existing-bootstrap-cluster --file vsphere-mc-1.yaml
```

### Options

```
  -b, --bind string                      Specify the IP and port to bind the Kickstart UI against (e.g. 127.0.0.1:8080). (default "127.0.0.1:8080")
      --browser string                   Specify the browser to open the Kickstart UI on. Use 'none' for no browser. Defaults to OS default browser. Supported: ['chrome', 'firefox', 'safari', 'ie', 'edge', 'none']
      --dry-run                          Generates the management cluster manifest and writes the output to stdout without applying it
  -f, --file string                      Configuration file from which to create a management cluster
  -h, --help                             help for create
  -t, --timeout duration                 Time duration to wait for an operation before timeout. Timeout duration in hours(h)/minutes(m)/seconds(s) units or as some combination of them (e.g. 2h, 30m, 2h30m10s) (default 30m0s)
  -u, --ui                               Launch interactive management cluster provisioning UI
  -e, --use-existing-bootstrap-cluster   Use an existing bootstrap cluster to deploy the management cluster
  -y, --yes                              Create management cluster without asking for confirmation
```

### Options inherited from parent commands

```
      --log-file string   Log file path
  -v, --verbose int32     Number for the log level verbosity(0-9)
```

### SEE ALSO

* [tanzu management-cluster](tanzu_management-cluster.md)     - Kubernetes management cluster operations

###### Auto generated by spf13/cobra on 15-Jul-2021
