// Code generated by go-swagger; DO NOT EDIT.

package avi

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"

	strfmt "github.com/go-openapi/strfmt"

	models "github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/models"
)

// VerifyAccountReader is a Reader for the VerifyAccount structure.
type VerifyAccountReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *VerifyAccountReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {
	case 201:
		result := NewVerifyAccountCreated()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return result, nil
	case 400:
		result := NewVerifyAccountBadRequest()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 401:
		result := NewVerifyAccountUnauthorized()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 500:
		result := NewVerifyAccountInternalServerError()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	default:
		return nil, runtime.NewAPIError("unknown error", response, response.Code())
	}
}

// NewVerifyAccountCreated creates a VerifyAccountCreated with default headers values
func NewVerifyAccountCreated() *VerifyAccountCreated {
	return &VerifyAccountCreated{}
}

/*VerifyAccountCreated handles this case with default header values.

Verified AVI credentials successfully
*/
type VerifyAccountCreated struct {
}

func (o *VerifyAccountCreated) Error() string {
	return fmt.Sprintf("[POST /api/avi][%d] verifyAccountCreated ", 201)
}

func (o *VerifyAccountCreated) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	return nil
}

// NewVerifyAccountBadRequest creates a VerifyAccountBadRequest with default headers values
func NewVerifyAccountBadRequest() *VerifyAccountBadRequest {
	return &VerifyAccountBadRequest{}
}

/*VerifyAccountBadRequest handles this case with default header values.

Bad request
*/
type VerifyAccountBadRequest struct {
	Payload *models.Error
}

func (o *VerifyAccountBadRequest) Error() string {
	return fmt.Sprintf("[POST /api/avi][%d] verifyAccountBadRequest  %+v", 400, o.Payload)
}

func (o *VerifyAccountBadRequest) GetPayload() *models.Error {
	return o.Payload
}

func (o *VerifyAccountBadRequest) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewVerifyAccountUnauthorized creates a VerifyAccountUnauthorized with default headers values
func NewVerifyAccountUnauthorized() *VerifyAccountUnauthorized {
	return &VerifyAccountUnauthorized{}
}

/*VerifyAccountUnauthorized handles this case with default header values.

Incorrect credentials
*/
type VerifyAccountUnauthorized struct {
	Payload *models.Error
}

func (o *VerifyAccountUnauthorized) Error() string {
	return fmt.Sprintf("[POST /api/avi][%d] verifyAccountUnauthorized  %+v", 401, o.Payload)
}

func (o *VerifyAccountUnauthorized) GetPayload() *models.Error {
	return o.Payload
}

func (o *VerifyAccountUnauthorized) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewVerifyAccountInternalServerError creates a VerifyAccountInternalServerError with default headers values
func NewVerifyAccountInternalServerError() *VerifyAccountInternalServerError {
	return &VerifyAccountInternalServerError{}
}

/*VerifyAccountInternalServerError handles this case with default header values.

Internal server error
*/
type VerifyAccountInternalServerError struct {
	Payload *models.Error
}

func (o *VerifyAccountInternalServerError) Error() string {
	return fmt.Sprintf("[POST /api/avi][%d] verifyAccountInternalServerError  %+v", 500, o.Payload)
}

func (o *VerifyAccountInternalServerError) GetPayload() *models.Error {
	return o.Payload
}

func (o *VerifyAccountInternalServerError) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
