// Code generated by go-swagger; DO NOT EDIT.

package models

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	strfmt "github.com/go-openapi/strfmt"

	"github.com/go-openapi/errors"
	"github.com/go-openapi/swag"
)

// AzureRegionalClusterParams azure regional cluster params
// swagger:model AzureRegionalClusterParams
type AzureRegionalClusterParams struct {

	// annotations
	Annotations map[string]string `json:"annotations,omitempty"`

	// azure account params
	AzureAccountParams *AzureAccountParams `json:"azureAccountParams,omitempty"`

	// ceip opt in
	CeipOptIn *bool `json:"ceipOptIn,omitempty"`

	// cluster name
	ClusterName string `json:"clusterName,omitempty"`

	// control plane flavor
	ControlPlaneFlavor string `json:"controlPlaneFlavor,omitempty"`

	// control plane machine type
	ControlPlaneMachineType string `json:"controlPlaneMachineType,omitempty"`

	// control plane subnet
	ControlPlaneSubnet string `json:"controlPlaneSubnet,omitempty"`

	// control plane subnet cidr
	ControlPlaneSubnetCidr string `json:"controlPlaneSubnetCidr,omitempty"`

	// enable audit logging
	EnableAuditLogging bool `json:"enableAuditLogging,omitempty"`

	// frontend private Ip
	FrontendPrivateIP string `json:"frontendPrivateIp,omitempty"`

	// identity management
	IdentityManagement *IdentityManagementConfig `json:"identityManagement,omitempty"`

	// is private cluster
	IsPrivateCluster bool `json:"isPrivateCluster,omitempty"`

	// kubernetes version
	KubernetesVersion string `json:"kubernetesVersion,omitempty"`

	// labels
	Labels map[string]string `json:"labels,omitempty"`

	// location
	Location string `json:"location,omitempty"`

	// machine health check enabled
	MachineHealthCheckEnabled bool `json:"machineHealthCheckEnabled,omitempty"`

	// networking
	Networking *TKGNetwork `json:"networking,omitempty"`

	// num of worker nodes
	NumOfWorkerNodes string `json:"numOfWorkerNodes,omitempty"`

	// os
	Os *AzureVirtualMachine `json:"os,omitempty"`

	// resource group
	ResourceGroup string `json:"resourceGroup,omitempty"`

	// ssh public key
	SSHPublicKey string `json:"sshPublicKey,omitempty"`

	// tmc registration url
	TmcRegistrationURL string `json:"tmc_registration_url,omitempty"`

	// vnet cidr
	VnetCidr string `json:"vnetCidr,omitempty"`

	// vnet name
	VnetName string `json:"vnetName,omitempty"`

	// vnet resource group
	VnetResourceGroup string `json:"vnetResourceGroup,omitempty"`

	// worker machine type
	WorkerMachineType string `json:"workerMachineType,omitempty"`

	// worker node subnet
	WorkerNodeSubnet string `json:"workerNodeSubnet,omitempty"`

	// worker node subnet cidr
	WorkerNodeSubnetCidr string `json:"workerNodeSubnetCidr,omitempty"`
}

// Validate validates this azure regional cluster params
func (m *AzureRegionalClusterParams) Validate(formats strfmt.Registry) error {
	var res []error

	if err := m.validateAzureAccountParams(formats); err != nil {
		res = append(res, err)
	}

	if err := m.validateIdentityManagement(formats); err != nil {
		res = append(res, err)
	}

	if err := m.validateNetworking(formats); err != nil {
		res = append(res, err)
	}

	if err := m.validateOs(formats); err != nil {
		res = append(res, err)
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}

func (m *AzureRegionalClusterParams) validateAzureAccountParams(formats strfmt.Registry) error {

	if swag.IsZero(m.AzureAccountParams) { // not required
		return nil
	}

	if m.AzureAccountParams != nil {
		if err := m.AzureAccountParams.Validate(formats); err != nil {
			if ve, ok := err.(*errors.Validation); ok {
				return ve.ValidateName("azureAccountParams")
			}
			return err
		}
	}

	return nil
}

func (m *AzureRegionalClusterParams) validateIdentityManagement(formats strfmt.Registry) error {

	if swag.IsZero(m.IdentityManagement) { // not required
		return nil
	}

	if m.IdentityManagement != nil {
		if err := m.IdentityManagement.Validate(formats); err != nil {
			if ve, ok := err.(*errors.Validation); ok {
				return ve.ValidateName("identityManagement")
			}
			return err
		}
	}

	return nil
}

func (m *AzureRegionalClusterParams) validateNetworking(formats strfmt.Registry) error {

	if swag.IsZero(m.Networking) { // not required
		return nil
	}

	if m.Networking != nil {
		if err := m.Networking.Validate(formats); err != nil {
			if ve, ok := err.(*errors.Validation); ok {
				return ve.ValidateName("networking")
			}
			return err
		}
	}

	return nil
}

func (m *AzureRegionalClusterParams) validateOs(formats strfmt.Registry) error {

	if swag.IsZero(m.Os) { // not required
		return nil
	}

	if m.Os != nil {
		if err := m.Os.Validate(formats); err != nil {
			if ve, ok := err.(*errors.Validation); ok {
				return ve.ValidateName("os")
			}
			return err
		}
	}

	return nil
}

// MarshalBinary interface implementation
func (m *AzureRegionalClusterParams) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *AzureRegionalClusterParams) UnmarshalBinary(b []byte) error {
	var res AzureRegionalClusterParams
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}
