// Code generated by go-swagger; DO NOT EDIT.

package operations

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"net/http"
	"strings"

	errors "github.com/go-openapi/errors"
	loads "github.com/go-openapi/loads"
	runtime "github.com/go-openapi/runtime"
	middleware "github.com/go-openapi/runtime/middleware"
	security "github.com/go-openapi/runtime/security"
	spec "github.com/go-openapi/spec"
	strfmt "github.com/go-openapi/strfmt"
	"github.com/go-openapi/swag"

	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/restapi/operations/avi"
	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/restapi/operations/aws"
	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/restapi/operations/azure"
	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/restapi/operations/docker"
	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/restapi/operations/edition"
	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/restapi/operations/features"
	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/restapi/operations/ldap"
	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/restapi/operations/provider"
	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/restapi/operations/tmc"
	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/restapi/operations/ui"
	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/restapi/operations/vsphere"
)

// NewKickstartUIAPI creates a new KickstartUI instance
func NewKickstartUIAPI(spec *loads.Document) *KickstartUIAPI {
	return &KickstartUIAPI{
		handlers:            make(map[string]map[string]http.Handler),
		formats:             strfmt.Default,
		defaultConsumes:     "application/json",
		defaultProduces:     "application/json",
		customConsumers:     make(map[string]runtime.Consumer),
		customProducers:     make(map[string]runtime.Producer),
		ServerShutdown:      func() {},
		spec:                spec,
		ServeError:          errors.ServeError,
		BasicAuthenticator:  security.BasicAuth,
		APIKeyAuthenticator: security.APIKeyAuth,
		BearerAuthenticator: security.BearerAuth,
		JSONConsumer:        runtime.JSONConsumer(),
		JSONProducer:        runtime.JSONProducer(),
		AwsApplyTKGConfigForAWSHandler: aws.ApplyTKGConfigForAWSHandlerFunc(func(params aws.ApplyTKGConfigForAWSParams) middleware.Responder {
			return middleware.NotImplemented("operation AwsApplyTKGConfigForAWS has not yet been implemented")
		}),
		AzureApplyTKGConfigForAzureHandler: azure.ApplyTKGConfigForAzureHandlerFunc(func(params azure.ApplyTKGConfigForAzureParams) middleware.Responder {
			return middleware.NotImplemented("operation AzureApplyTKGConfigForAzure has not yet been implemented")
		}),
		DockerApplyTKGConfigForDockerHandler: docker.ApplyTKGConfigForDockerHandlerFunc(func(params docker.ApplyTKGConfigForDockerParams) middleware.Responder {
			return middleware.NotImplemented("operation DockerApplyTKGConfigForDocker has not yet been implemented")
		}),
		VsphereApplyTKGConfigForVsphereHandler: vsphere.ApplyTKGConfigForVsphereHandlerFunc(func(params vsphere.ApplyTKGConfigForVsphereParams) middleware.Responder {
			return middleware.NotImplemented("operation VsphereApplyTKGConfigForVsphere has not yet been implemented")
		}),
		DockerCheckIfDockerDaemonAvailableHandler: docker.CheckIfDockerDaemonAvailableHandlerFunc(func(params docker.CheckIfDockerDaemonAvailableParams) middleware.Responder {
			return middleware.NotImplemented("operation DockerCheckIfDockerDaemonAvailable has not yet been implemented")
		}),
		AwsCreateAWSRegionalClusterHandler: aws.CreateAWSRegionalClusterHandlerFunc(func(params aws.CreateAWSRegionalClusterParams) middleware.Responder {
			return middleware.NotImplemented("operation AwsCreateAWSRegionalCluster has not yet been implemented")
		}),
		AzureCreateAzureRegionalClusterHandler: azure.CreateAzureRegionalClusterHandlerFunc(func(params azure.CreateAzureRegionalClusterParams) middleware.Responder {
			return middleware.NotImplemented("operation AzureCreateAzureRegionalCluster has not yet been implemented")
		}),
		AzureCreateAzureResourceGroupHandler: azure.CreateAzureResourceGroupHandlerFunc(func(params azure.CreateAzureResourceGroupParams) middleware.Responder {
			return middleware.NotImplemented("operation AzureCreateAzureResourceGroup has not yet been implemented")
		}),
		AzureCreateAzureVirtualNetworkHandler: azure.CreateAzureVirtualNetworkHandlerFunc(func(params azure.CreateAzureVirtualNetworkParams) middleware.Responder {
			return middleware.NotImplemented("operation AzureCreateAzureVirtualNetwork has not yet been implemented")
		}),
		DockerCreateDockerRegionalClusterHandler: docker.CreateDockerRegionalClusterHandlerFunc(func(params docker.CreateDockerRegionalClusterParams) middleware.Responder {
			return middleware.NotImplemented("operation DockerCreateDockerRegionalCluster has not yet been implemented")
		}),
		VsphereCreateVSphereRegionalClusterHandler: vsphere.CreateVSphereRegionalClusterHandlerFunc(func(params vsphere.CreateVSphereRegionalClusterParams) middleware.Responder {
			return middleware.NotImplemented("operation VsphereCreateVSphereRegionalCluster has not yet been implemented")
		}),
		AwsGenerateTKGConfigForAWSHandler: aws.GenerateTKGConfigForAWSHandlerFunc(func(params aws.GenerateTKGConfigForAWSParams) middleware.Responder {
			return middleware.NotImplemented("operation AwsGenerateTKGConfigForAWS has not yet been implemented")
		}),
		AzureGenerateTKGConfigForAzureHandler: azure.GenerateTKGConfigForAzureHandlerFunc(func(params azure.GenerateTKGConfigForAzureParams) middleware.Responder {
			return middleware.NotImplemented("operation AzureGenerateTKGConfigForAzure has not yet been implemented")
		}),
		DockerGenerateTKGConfigForDockerHandler: docker.GenerateTKGConfigForDockerHandlerFunc(func(params docker.GenerateTKGConfigForDockerParams) middleware.Responder {
			return middleware.NotImplemented("operation DockerGenerateTKGConfigForDocker has not yet been implemented")
		}),
		VsphereGenerateTKGConfigForVsphereHandler: vsphere.GenerateTKGConfigForVsphereHandlerFunc(func(params vsphere.GenerateTKGConfigForVsphereParams) middleware.Responder {
			return middleware.NotImplemented("operation VsphereGenerateTKGConfigForVsphere has not yet been implemented")
		}),
		AwsGetAWSAvailabilityZonesHandler: aws.GetAWSAvailabilityZonesHandlerFunc(func(params aws.GetAWSAvailabilityZonesParams) middleware.Responder {
			return middleware.NotImplemented("operation AwsGetAWSAvailabilityZones has not yet been implemented")
		}),
		AwsGetAWSCredentialProfilesHandler: aws.GetAWSCredentialProfilesHandlerFunc(func(params aws.GetAWSCredentialProfilesParams) middleware.Responder {
			return middleware.NotImplemented("operation AwsGetAWSCredentialProfiles has not yet been implemented")
		}),
		AwsGetAWSEndpointHandler: aws.GetAWSEndpointHandlerFunc(func(params aws.GetAWSEndpointParams) middleware.Responder {
			return middleware.NotImplemented("operation AwsGetAWSEndpoint has not yet been implemented")
		}),
		AwsGetAWSNodeTypesHandler: aws.GetAWSNodeTypesHandlerFunc(func(params aws.GetAWSNodeTypesParams) middleware.Responder {
			return middleware.NotImplemented("operation AwsGetAWSNodeTypes has not yet been implemented")
		}),
		AwsGetAWSOSImagesHandler: aws.GetAWSOSImagesHandlerFunc(func(params aws.GetAWSOSImagesParams) middleware.Responder {
			return middleware.NotImplemented("operation AwsGetAWSOSImages has not yet been implemented")
		}),
		AwsGetAWSRegionsHandler: aws.GetAWSRegionsHandlerFunc(func(params aws.GetAWSRegionsParams) middleware.Responder {
			return middleware.NotImplemented("operation AwsGetAWSRegions has not yet been implemented")
		}),
		AwsGetAWSSubnetsHandler: aws.GetAWSSubnetsHandlerFunc(func(params aws.GetAWSSubnetsParams) middleware.Responder {
			return middleware.NotImplemented("operation AwsGetAWSSubnets has not yet been implemented")
		}),
		AviGetAviCloudsHandler: avi.GetAviCloudsHandlerFunc(func(params avi.GetAviCloudsParams) middleware.Responder {
			return middleware.NotImplemented("operation AviGetAviClouds has not yet been implemented")
		}),
		AviGetAviServiceEngineGroupsHandler: avi.GetAviServiceEngineGroupsHandlerFunc(func(params avi.GetAviServiceEngineGroupsParams) middleware.Responder {
			return middleware.NotImplemented("operation AviGetAviServiceEngineGroups has not yet been implemented")
		}),
		AviGetAviVipNetworksHandler: avi.GetAviVipNetworksHandlerFunc(func(params avi.GetAviVipNetworksParams) middleware.Responder {
			return middleware.NotImplemented("operation AviGetAviVipNetworks has not yet been implemented")
		}),
		AzureGetAzureEndpointHandler: azure.GetAzureEndpointHandlerFunc(func(params azure.GetAzureEndpointParams) middleware.Responder {
			return middleware.NotImplemented("operation AzureGetAzureEndpoint has not yet been implemented")
		}),
		AzureGetAzureInstanceTypesHandler: azure.GetAzureInstanceTypesHandlerFunc(func(params azure.GetAzureInstanceTypesParams) middleware.Responder {
			return middleware.NotImplemented("operation AzureGetAzureInstanceTypes has not yet been implemented")
		}),
		AzureGetAzureOSImagesHandler: azure.GetAzureOSImagesHandlerFunc(func(params azure.GetAzureOSImagesParams) middleware.Responder {
			return middleware.NotImplemented("operation AzureGetAzureOSImages has not yet been implemented")
		}),
		AzureGetAzureRegionsHandler: azure.GetAzureRegionsHandlerFunc(func(params azure.GetAzureRegionsParams) middleware.Responder {
			return middleware.NotImplemented("operation AzureGetAzureRegions has not yet been implemented")
		}),
		AzureGetAzureResourceGroupsHandler: azure.GetAzureResourceGroupsHandlerFunc(func(params azure.GetAzureResourceGroupsParams) middleware.Responder {
			return middleware.NotImplemented("operation AzureGetAzureResourceGroups has not yet been implemented")
		}),
		AzureGetAzureVnetsHandler: azure.GetAzureVnetsHandlerFunc(func(params azure.GetAzureVnetsParams) middleware.Responder {
			return middleware.NotImplemented("operation AzureGetAzureVnets has not yet been implemented")
		}),
		FeaturesGetFeatureFlagsHandler: features.GetFeatureFlagsHandlerFunc(func(params features.GetFeatureFlagsParams) middleware.Responder {
			return middleware.NotImplemented("operation FeaturesGetFeatureFlags has not yet been implemented")
		}),
		ProviderGetProviderHandler: provider.GetProviderHandlerFunc(func(params provider.GetProviderParams) middleware.Responder {
			return middleware.NotImplemented("operation ProviderGetProvider has not yet been implemented")
		}),
		EditionGetTanzuEditionHandler: edition.GetTanzuEditionHandlerFunc(func(params edition.GetTanzuEditionParams) middleware.Responder {
			return middleware.NotImplemented("operation EditionGetTanzuEdition has not yet been implemented")
		}),
		UIGetUIHandler: ui.GetUIHandlerFunc(func(params ui.GetUIParams) middleware.Responder {
			return middleware.NotImplemented("operation UIGetUI has not yet been implemented")
		}),
		UIGetUIFileHandler: ui.GetUIFileHandlerFunc(func(params ui.GetUIFileParams) middleware.Responder {
			return middleware.NotImplemented("operation UIGetUIFile has not yet been implemented")
		}),
		AwsGetVPCsHandler: aws.GetVPCsHandlerFunc(func(params aws.GetVPCsParams) middleware.Responder {
			return middleware.NotImplemented("operation AwsGetVPCs has not yet been implemented")
		}),
		VsphereGetVSphereComputeResourcesHandler: vsphere.GetVSphereComputeResourcesHandlerFunc(func(params vsphere.GetVSphereComputeResourcesParams) middleware.Responder {
			return middleware.NotImplemented("operation VsphereGetVSphereComputeResources has not yet been implemented")
		}),
		VsphereGetVSphereDatacentersHandler: vsphere.GetVSphereDatacentersHandlerFunc(func(params vsphere.GetVSphereDatacentersParams) middleware.Responder {
			return middleware.NotImplemented("operation VsphereGetVSphereDatacenters has not yet been implemented")
		}),
		VsphereGetVSphereDatastoresHandler: vsphere.GetVSphereDatastoresHandlerFunc(func(params vsphere.GetVSphereDatastoresParams) middleware.Responder {
			return middleware.NotImplemented("operation VsphereGetVSphereDatastores has not yet been implemented")
		}),
		VsphereGetVSphereFoldersHandler: vsphere.GetVSphereFoldersHandlerFunc(func(params vsphere.GetVSphereFoldersParams) middleware.Responder {
			return middleware.NotImplemented("operation VsphereGetVSphereFolders has not yet been implemented")
		}),
		VsphereGetVSphereNetworksHandler: vsphere.GetVSphereNetworksHandlerFunc(func(params vsphere.GetVSphereNetworksParams) middleware.Responder {
			return middleware.NotImplemented("operation VsphereGetVSphereNetworks has not yet been implemented")
		}),
		VsphereGetVSphereNodeTypesHandler: vsphere.GetVSphereNodeTypesHandlerFunc(func(params vsphere.GetVSphereNodeTypesParams) middleware.Responder {
			return middleware.NotImplemented("operation VsphereGetVSphereNodeTypes has not yet been implemented")
		}),
		VsphereGetVSphereOSImagesHandler: vsphere.GetVSphereOSImagesHandlerFunc(func(params vsphere.GetVSphereOSImagesParams) middleware.Responder {
			return middleware.NotImplemented("operation VsphereGetVSphereOSImages has not yet been implemented")
		}),
		VsphereGetVSphereResourcePoolsHandler: vsphere.GetVSphereResourcePoolsHandlerFunc(func(params vsphere.GetVSphereResourcePoolsParams) middleware.Responder {
			return middleware.NotImplemented("operation VsphereGetVSphereResourcePools has not yet been implemented")
		}),
		VsphereGetVsphereThumbprintHandler: vsphere.GetVsphereThumbprintHandlerFunc(func(params vsphere.GetVsphereThumbprintParams) middleware.Responder {
			return middleware.NotImplemented("operation VsphereGetVsphereThumbprint has not yet been implemented")
		}),
		TmcRetrieveTMCInstallYmlHandler: tmc.RetrieveTMCInstallYmlHandlerFunc(func(params tmc.RetrieveTMCInstallYmlParams) middleware.Responder {
			return middleware.NotImplemented("operation TmcRetrieveTMCInstallYml has not yet been implemented")
		}),
		AwsSetAWSEndpointHandler: aws.SetAWSEndpointHandlerFunc(func(params aws.SetAWSEndpointParams) middleware.Responder {
			return middleware.NotImplemented("operation AwsSetAWSEndpoint has not yet been implemented")
		}),
		AzureSetAzureEndpointHandler: azure.SetAzureEndpointHandlerFunc(func(params azure.SetAzureEndpointParams) middleware.Responder {
			return middleware.NotImplemented("operation AzureSetAzureEndpoint has not yet been implemented")
		}),
		VsphereSetVSphereEndpointHandler: vsphere.SetVSphereEndpointHandlerFunc(func(params vsphere.SetVSphereEndpointParams) middleware.Responder {
			return middleware.NotImplemented("operation VsphereSetVSphereEndpoint has not yet been implemented")
		}),
		AviVerifyAccountHandler: avi.VerifyAccountHandlerFunc(func(params avi.VerifyAccountParams) middleware.Responder {
			return middleware.NotImplemented("operation AviVerifyAccount has not yet been implemented")
		}),
		LdapVerifyLdapBindHandler: ldap.VerifyLdapBindHandlerFunc(func(params ldap.VerifyLdapBindParams) middleware.Responder {
			return middleware.NotImplemented("operation LdapVerifyLdapBind has not yet been implemented")
		}),
		LdapVerifyLdapCloseConnectionHandler: ldap.VerifyLdapCloseConnectionHandlerFunc(func(params ldap.VerifyLdapCloseConnectionParams) middleware.Responder {
			return middleware.NotImplemented("operation LdapVerifyLdapCloseConnection has not yet been implemented")
		}),
		LdapVerifyLdapConnectHandler: ldap.VerifyLdapConnectHandlerFunc(func(params ldap.VerifyLdapConnectParams) middleware.Responder {
			return middleware.NotImplemented("operation LdapVerifyLdapConnect has not yet been implemented")
		}),
		LdapVerifyLdapGroupSearchHandler: ldap.VerifyLdapGroupSearchHandlerFunc(func(params ldap.VerifyLdapGroupSearchParams) middleware.Responder {
			return middleware.NotImplemented("operation LdapVerifyLdapGroupSearch has not yet been implemented")
		}),
		LdapVerifyLdapUserSearchHandler: ldap.VerifyLdapUserSearchHandlerFunc(func(params ldap.VerifyLdapUserSearchParams) middleware.Responder {
			return middleware.NotImplemented("operation LdapVerifyLdapUserSearch has not yet been implemented")
		}),
	}
}

/*KickstartUIAPI Tanzu Kubernetes Grid Setup API. */
type KickstartUIAPI struct {
	spec            *loads.Document
	context         *middleware.Context
	handlers        map[string]map[string]http.Handler
	formats         strfmt.Registry
	customConsumers map[string]runtime.Consumer
	customProducers map[string]runtime.Producer
	defaultConsumes string
	defaultProduces string
	Middleware      func(middleware.Builder) http.Handler

	// BasicAuthenticator generates a runtime.Authenticator from the supplied basic auth function.
	// It has a default implementation in the security package, however you can replace it for your particular usage.
	BasicAuthenticator func(security.UserPassAuthentication) runtime.Authenticator
	// APIKeyAuthenticator generates a runtime.Authenticator from the supplied token auth function.
	// It has a default implementation in the security package, however you can replace it for your particular usage.
	APIKeyAuthenticator func(string, string, security.TokenAuthentication) runtime.Authenticator
	// BearerAuthenticator generates a runtime.Authenticator from the supplied bearer token auth function.
	// It has a default implementation in the security package, however you can replace it for your particular usage.
	BearerAuthenticator func(string, security.ScopedTokenAuthentication) runtime.Authenticator

	// JSONConsumer registers a consumer for a "application/json" mime type
	JSONConsumer runtime.Consumer

	// JSONProducer registers a producer for a "application/json" mime type
	JSONProducer runtime.Producer

	// AwsApplyTKGConfigForAWSHandler sets the operation handler for the apply t k g config for a w s operation
	AwsApplyTKGConfigForAWSHandler aws.ApplyTKGConfigForAWSHandler
	// AzureApplyTKGConfigForAzureHandler sets the operation handler for the apply t k g config for azure operation
	AzureApplyTKGConfigForAzureHandler azure.ApplyTKGConfigForAzureHandler
	// DockerApplyTKGConfigForDockerHandler sets the operation handler for the apply t k g config for docker operation
	DockerApplyTKGConfigForDockerHandler docker.ApplyTKGConfigForDockerHandler
	// VsphereApplyTKGConfigForVsphereHandler sets the operation handler for the apply t k g config for vsphere operation
	VsphereApplyTKGConfigForVsphereHandler vsphere.ApplyTKGConfigForVsphereHandler
	// DockerCheckIfDockerDaemonAvailableHandler sets the operation handler for the check if docker daemon available operation
	DockerCheckIfDockerDaemonAvailableHandler docker.CheckIfDockerDaemonAvailableHandler
	// AwsCreateAWSRegionalClusterHandler sets the operation handler for the create a w s regional cluster operation
	AwsCreateAWSRegionalClusterHandler aws.CreateAWSRegionalClusterHandler
	// AzureCreateAzureRegionalClusterHandler sets the operation handler for the create azure regional cluster operation
	AzureCreateAzureRegionalClusterHandler azure.CreateAzureRegionalClusterHandler
	// AzureCreateAzureResourceGroupHandler sets the operation handler for the create azure resource group operation
	AzureCreateAzureResourceGroupHandler azure.CreateAzureResourceGroupHandler
	// AzureCreateAzureVirtualNetworkHandler sets the operation handler for the create azure virtual network operation
	AzureCreateAzureVirtualNetworkHandler azure.CreateAzureVirtualNetworkHandler
	// DockerCreateDockerRegionalClusterHandler sets the operation handler for the create docker regional cluster operation
	DockerCreateDockerRegionalClusterHandler docker.CreateDockerRegionalClusterHandler
	// VsphereCreateVSphereRegionalClusterHandler sets the operation handler for the create v sphere regional cluster operation
	VsphereCreateVSphereRegionalClusterHandler vsphere.CreateVSphereRegionalClusterHandler
	// AwsGenerateTKGConfigForAWSHandler sets the operation handler for the generate t k g config for a w s operation
	AwsGenerateTKGConfigForAWSHandler aws.GenerateTKGConfigForAWSHandler
	// AzureGenerateTKGConfigForAzureHandler sets the operation handler for the generate t k g config for azure operation
	AzureGenerateTKGConfigForAzureHandler azure.GenerateTKGConfigForAzureHandler
	// DockerGenerateTKGConfigForDockerHandler sets the operation handler for the generate t k g config for docker operation
	DockerGenerateTKGConfigForDockerHandler docker.GenerateTKGConfigForDockerHandler
	// VsphereGenerateTKGConfigForVsphereHandler sets the operation handler for the generate t k g config for vsphere operation
	VsphereGenerateTKGConfigForVsphereHandler vsphere.GenerateTKGConfigForVsphereHandler
	// AwsGetAWSAvailabilityZonesHandler sets the operation handler for the get a w s availability zones operation
	AwsGetAWSAvailabilityZonesHandler aws.GetAWSAvailabilityZonesHandler
	// AwsGetAWSCredentialProfilesHandler sets the operation handler for the get a w s credential profiles operation
	AwsGetAWSCredentialProfilesHandler aws.GetAWSCredentialProfilesHandler
	// AwsGetAWSEndpointHandler sets the operation handler for the get a w s endpoint operation
	AwsGetAWSEndpointHandler aws.GetAWSEndpointHandler
	// AwsGetAWSNodeTypesHandler sets the operation handler for the get a w s node types operation
	AwsGetAWSNodeTypesHandler aws.GetAWSNodeTypesHandler
	// AwsGetAWSOSImagesHandler sets the operation handler for the get a w s o s images operation
	AwsGetAWSOSImagesHandler aws.GetAWSOSImagesHandler
	// AwsGetAWSRegionsHandler sets the operation handler for the get a w s regions operation
	AwsGetAWSRegionsHandler aws.GetAWSRegionsHandler
	// AwsGetAWSSubnetsHandler sets the operation handler for the get a w s subnets operation
	AwsGetAWSSubnetsHandler aws.GetAWSSubnetsHandler
	// AviGetAviCloudsHandler sets the operation handler for the get avi clouds operation
	AviGetAviCloudsHandler avi.GetAviCloudsHandler
	// AviGetAviServiceEngineGroupsHandler sets the operation handler for the get avi service engine groups operation
	AviGetAviServiceEngineGroupsHandler avi.GetAviServiceEngineGroupsHandler
	// AviGetAviVipNetworksHandler sets the operation handler for the get avi vip networks operation
	AviGetAviVipNetworksHandler avi.GetAviVipNetworksHandler
	// AzureGetAzureEndpointHandler sets the operation handler for the get azure endpoint operation
	AzureGetAzureEndpointHandler azure.GetAzureEndpointHandler
	// AzureGetAzureInstanceTypesHandler sets the operation handler for the get azure instance types operation
	AzureGetAzureInstanceTypesHandler azure.GetAzureInstanceTypesHandler
	// AzureGetAzureOSImagesHandler sets the operation handler for the get azure o s images operation
	AzureGetAzureOSImagesHandler azure.GetAzureOSImagesHandler
	// AzureGetAzureRegionsHandler sets the operation handler for the get azure regions operation
	AzureGetAzureRegionsHandler azure.GetAzureRegionsHandler
	// AzureGetAzureResourceGroupsHandler sets the operation handler for the get azure resource groups operation
	AzureGetAzureResourceGroupsHandler azure.GetAzureResourceGroupsHandler
	// AzureGetAzureVnetsHandler sets the operation handler for the get azure vnets operation
	AzureGetAzureVnetsHandler azure.GetAzureVnetsHandler
	// FeaturesGetFeatureFlagsHandler sets the operation handler for the get feature flags operation
	FeaturesGetFeatureFlagsHandler features.GetFeatureFlagsHandler
	// ProviderGetProviderHandler sets the operation handler for the get provider operation
	ProviderGetProviderHandler provider.GetProviderHandler
	// EditionGetTanzuEditionHandler sets the operation handler for the get tanzu edition operation
	EditionGetTanzuEditionHandler edition.GetTanzuEditionHandler
	// UIGetUIHandler sets the operation handler for the get UI operation
	UIGetUIHandler ui.GetUIHandler
	// UIGetUIFileHandler sets the operation handler for the get UI file operation
	UIGetUIFileHandler ui.GetUIFileHandler
	// AwsGetVPCsHandler sets the operation handler for the get v p cs operation
	AwsGetVPCsHandler aws.GetVPCsHandler
	// VsphereGetVSphereComputeResourcesHandler sets the operation handler for the get v sphere compute resources operation
	VsphereGetVSphereComputeResourcesHandler vsphere.GetVSphereComputeResourcesHandler
	// VsphereGetVSphereDatacentersHandler sets the operation handler for the get v sphere datacenters operation
	VsphereGetVSphereDatacentersHandler vsphere.GetVSphereDatacentersHandler
	// VsphereGetVSphereDatastoresHandler sets the operation handler for the get v sphere datastores operation
	VsphereGetVSphereDatastoresHandler vsphere.GetVSphereDatastoresHandler
	// VsphereGetVSphereFoldersHandler sets the operation handler for the get v sphere folders operation
	VsphereGetVSphereFoldersHandler vsphere.GetVSphereFoldersHandler
	// VsphereGetVSphereNetworksHandler sets the operation handler for the get v sphere networks operation
	VsphereGetVSphereNetworksHandler vsphere.GetVSphereNetworksHandler
	// VsphereGetVSphereNodeTypesHandler sets the operation handler for the get v sphere node types operation
	VsphereGetVSphereNodeTypesHandler vsphere.GetVSphereNodeTypesHandler
	// VsphereGetVSphereOSImagesHandler sets the operation handler for the get v sphere o s images operation
	VsphereGetVSphereOSImagesHandler vsphere.GetVSphereOSImagesHandler
	// VsphereGetVSphereResourcePoolsHandler sets the operation handler for the get v sphere resource pools operation
	VsphereGetVSphereResourcePoolsHandler vsphere.GetVSphereResourcePoolsHandler
	// VsphereGetVsphereThumbprintHandler sets the operation handler for the get vsphere thumbprint operation
	VsphereGetVsphereThumbprintHandler vsphere.GetVsphereThumbprintHandler
	// TmcRetrieveTMCInstallYmlHandler sets the operation handler for the retrieve t m c install yml operation
	TmcRetrieveTMCInstallYmlHandler tmc.RetrieveTMCInstallYmlHandler
	// AwsSetAWSEndpointHandler sets the operation handler for the set a w s endpoint operation
	AwsSetAWSEndpointHandler aws.SetAWSEndpointHandler
	// AzureSetAzureEndpointHandler sets the operation handler for the set azure endpoint operation
	AzureSetAzureEndpointHandler azure.SetAzureEndpointHandler
	// VsphereSetVSphereEndpointHandler sets the operation handler for the set v sphere endpoint operation
	VsphereSetVSphereEndpointHandler vsphere.SetVSphereEndpointHandler
	// AviVerifyAccountHandler sets the operation handler for the verify account operation
	AviVerifyAccountHandler avi.VerifyAccountHandler
	// LdapVerifyLdapBindHandler sets the operation handler for the verify ldap bind operation
	LdapVerifyLdapBindHandler ldap.VerifyLdapBindHandler
	// LdapVerifyLdapCloseConnectionHandler sets the operation handler for the verify ldap close connection operation
	LdapVerifyLdapCloseConnectionHandler ldap.VerifyLdapCloseConnectionHandler
	// LdapVerifyLdapConnectHandler sets the operation handler for the verify ldap connect operation
	LdapVerifyLdapConnectHandler ldap.VerifyLdapConnectHandler
	// LdapVerifyLdapGroupSearchHandler sets the operation handler for the verify ldap group search operation
	LdapVerifyLdapGroupSearchHandler ldap.VerifyLdapGroupSearchHandler
	// LdapVerifyLdapUserSearchHandler sets the operation handler for the verify ldap user search operation
	LdapVerifyLdapUserSearchHandler ldap.VerifyLdapUserSearchHandler

	// ServeError is called when an error is received, there is a default handler
	// but you can set your own with this
	ServeError func(http.ResponseWriter, *http.Request, error)

	// ServerShutdown is called when the HTTP(S) server is shut down and done
	// handling all active connections and does not accept connections any more
	ServerShutdown func()

	// Custom command line argument groups with their descriptions
	CommandLineOptionsGroups []swag.CommandLineOptionsGroup

	// User defined logger function.
	Logger func(string, ...interface{})
}

// SetDefaultProduces sets the default produces media type
func (o *KickstartUIAPI) SetDefaultProduces(mediaType string) {
	o.defaultProduces = mediaType
}

// SetDefaultConsumes returns the default consumes media type
func (o *KickstartUIAPI) SetDefaultConsumes(mediaType string) {
	o.defaultConsumes = mediaType
}

// SetSpec sets a spec that will be served for the clients.
func (o *KickstartUIAPI) SetSpec(spec *loads.Document) {
	o.spec = spec
}

// DefaultProduces returns the default produces media type
func (o *KickstartUIAPI) DefaultProduces() string {
	return o.defaultProduces
}

// DefaultConsumes returns the default consumes media type
func (o *KickstartUIAPI) DefaultConsumes() string {
	return o.defaultConsumes
}

// Formats returns the registered string formats
func (o *KickstartUIAPI) Formats() strfmt.Registry {
	return o.formats
}

// RegisterFormat registers a custom format validator
func (o *KickstartUIAPI) RegisterFormat(name string, format strfmt.Format, validator strfmt.Validator) {
	o.formats.Add(name, format, validator)
}

// Validate validates the registrations in the KickstartUIAPI
func (o *KickstartUIAPI) Validate() error {
	var unregistered []string

	if o.JSONConsumer == nil {
		unregistered = append(unregistered, "JSONConsumer")
	}

	if o.JSONProducer == nil {
		unregistered = append(unregistered, "JSONProducer")
	}

	if o.AwsApplyTKGConfigForAWSHandler == nil {
		unregistered = append(unregistered, "aws.ApplyTKGConfigForAWSHandler")
	}

	if o.AzureApplyTKGConfigForAzureHandler == nil {
		unregistered = append(unregistered, "azure.ApplyTKGConfigForAzureHandler")
	}

	if o.DockerApplyTKGConfigForDockerHandler == nil {
		unregistered = append(unregistered, "docker.ApplyTKGConfigForDockerHandler")
	}

	if o.VsphereApplyTKGConfigForVsphereHandler == nil {
		unregistered = append(unregistered, "vsphere.ApplyTKGConfigForVsphereHandler")
	}

	if o.DockerCheckIfDockerDaemonAvailableHandler == nil {
		unregistered = append(unregistered, "docker.CheckIfDockerDaemonAvailableHandler")
	}

	if o.AwsCreateAWSRegionalClusterHandler == nil {
		unregistered = append(unregistered, "aws.CreateAWSRegionalClusterHandler")
	}

	if o.AzureCreateAzureRegionalClusterHandler == nil {
		unregistered = append(unregistered, "azure.CreateAzureRegionalClusterHandler")
	}

	if o.AzureCreateAzureResourceGroupHandler == nil {
		unregistered = append(unregistered, "azure.CreateAzureResourceGroupHandler")
	}

	if o.AzureCreateAzureVirtualNetworkHandler == nil {
		unregistered = append(unregistered, "azure.CreateAzureVirtualNetworkHandler")
	}

	if o.DockerCreateDockerRegionalClusterHandler == nil {
		unregistered = append(unregistered, "docker.CreateDockerRegionalClusterHandler")
	}

	if o.VsphereCreateVSphereRegionalClusterHandler == nil {
		unregistered = append(unregistered, "vsphere.CreateVSphereRegionalClusterHandler")
	}

	if o.AwsGenerateTKGConfigForAWSHandler == nil {
		unregistered = append(unregistered, "aws.GenerateTKGConfigForAWSHandler")
	}

	if o.AzureGenerateTKGConfigForAzureHandler == nil {
		unregistered = append(unregistered, "azure.GenerateTKGConfigForAzureHandler")
	}

	if o.DockerGenerateTKGConfigForDockerHandler == nil {
		unregistered = append(unregistered, "docker.GenerateTKGConfigForDockerHandler")
	}

	if o.VsphereGenerateTKGConfigForVsphereHandler == nil {
		unregistered = append(unregistered, "vsphere.GenerateTKGConfigForVsphereHandler")
	}

	if o.AwsGetAWSAvailabilityZonesHandler == nil {
		unregistered = append(unregistered, "aws.GetAWSAvailabilityZonesHandler")
	}

	if o.AwsGetAWSCredentialProfilesHandler == nil {
		unregistered = append(unregistered, "aws.GetAWSCredentialProfilesHandler")
	}

	if o.AwsGetAWSEndpointHandler == nil {
		unregistered = append(unregistered, "aws.GetAWSEndpointHandler")
	}

	if o.AwsGetAWSNodeTypesHandler == nil {
		unregistered = append(unregistered, "aws.GetAWSNodeTypesHandler")
	}

	if o.AwsGetAWSOSImagesHandler == nil {
		unregistered = append(unregistered, "aws.GetAWSOSImagesHandler")
	}

	if o.AwsGetAWSRegionsHandler == nil {
		unregistered = append(unregistered, "aws.GetAWSRegionsHandler")
	}

	if o.AwsGetAWSSubnetsHandler == nil {
		unregistered = append(unregistered, "aws.GetAWSSubnetsHandler")
	}

	if o.AviGetAviCloudsHandler == nil {
		unregistered = append(unregistered, "avi.GetAviCloudsHandler")
	}

	if o.AviGetAviServiceEngineGroupsHandler == nil {
		unregistered = append(unregistered, "avi.GetAviServiceEngineGroupsHandler")
	}

	if o.AviGetAviVipNetworksHandler == nil {
		unregistered = append(unregistered, "avi.GetAviVipNetworksHandler")
	}

	if o.AzureGetAzureEndpointHandler == nil {
		unregistered = append(unregistered, "azure.GetAzureEndpointHandler")
	}

	if o.AzureGetAzureInstanceTypesHandler == nil {
		unregistered = append(unregistered, "azure.GetAzureInstanceTypesHandler")
	}

	if o.AzureGetAzureOSImagesHandler == nil {
		unregistered = append(unregistered, "azure.GetAzureOSImagesHandler")
	}

	if o.AzureGetAzureRegionsHandler == nil {
		unregistered = append(unregistered, "azure.GetAzureRegionsHandler")
	}

	if o.AzureGetAzureResourceGroupsHandler == nil {
		unregistered = append(unregistered, "azure.GetAzureResourceGroupsHandler")
	}

	if o.AzureGetAzureVnetsHandler == nil {
		unregistered = append(unregistered, "azure.GetAzureVnetsHandler")
	}

	if o.FeaturesGetFeatureFlagsHandler == nil {
		unregistered = append(unregistered, "features.GetFeatureFlagsHandler")
	}

	if o.ProviderGetProviderHandler == nil {
		unregistered = append(unregistered, "provider.GetProviderHandler")
	}

	if o.EditionGetTanzuEditionHandler == nil {
		unregistered = append(unregistered, "edition.GetTanzuEditionHandler")
	}

	if o.UIGetUIHandler == nil {
		unregistered = append(unregistered, "ui.GetUIHandler")
	}

	if o.UIGetUIFileHandler == nil {
		unregistered = append(unregistered, "ui.GetUIFileHandler")
	}

	if o.AwsGetVPCsHandler == nil {
		unregistered = append(unregistered, "aws.GetVPCsHandler")
	}

	if o.VsphereGetVSphereComputeResourcesHandler == nil {
		unregistered = append(unregistered, "vsphere.GetVSphereComputeResourcesHandler")
	}

	if o.VsphereGetVSphereDatacentersHandler == nil {
		unregistered = append(unregistered, "vsphere.GetVSphereDatacentersHandler")
	}

	if o.VsphereGetVSphereDatastoresHandler == nil {
		unregistered = append(unregistered, "vsphere.GetVSphereDatastoresHandler")
	}

	if o.VsphereGetVSphereFoldersHandler == nil {
		unregistered = append(unregistered, "vsphere.GetVSphereFoldersHandler")
	}

	if o.VsphereGetVSphereNetworksHandler == nil {
		unregistered = append(unregistered, "vsphere.GetVSphereNetworksHandler")
	}

	if o.VsphereGetVSphereNodeTypesHandler == nil {
		unregistered = append(unregistered, "vsphere.GetVSphereNodeTypesHandler")
	}

	if o.VsphereGetVSphereOSImagesHandler == nil {
		unregistered = append(unregistered, "vsphere.GetVSphereOSImagesHandler")
	}

	if o.VsphereGetVSphereResourcePoolsHandler == nil {
		unregistered = append(unregistered, "vsphere.GetVSphereResourcePoolsHandler")
	}

	if o.VsphereGetVsphereThumbprintHandler == nil {
		unregistered = append(unregistered, "vsphere.GetVsphereThumbprintHandler")
	}

	if o.TmcRetrieveTMCInstallYmlHandler == nil {
		unregistered = append(unregistered, "tmc.RetrieveTMCInstallYmlHandler")
	}

	if o.AwsSetAWSEndpointHandler == nil {
		unregistered = append(unregistered, "aws.SetAWSEndpointHandler")
	}

	if o.AzureSetAzureEndpointHandler == nil {
		unregistered = append(unregistered, "azure.SetAzureEndpointHandler")
	}

	if o.VsphereSetVSphereEndpointHandler == nil {
		unregistered = append(unregistered, "vsphere.SetVSphereEndpointHandler")
	}

	if o.AviVerifyAccountHandler == nil {
		unregistered = append(unregistered, "avi.VerifyAccountHandler")
	}

	if o.LdapVerifyLdapBindHandler == nil {
		unregistered = append(unregistered, "ldap.VerifyLdapBindHandler")
	}

	if o.LdapVerifyLdapCloseConnectionHandler == nil {
		unregistered = append(unregistered, "ldap.VerifyLdapCloseConnectionHandler")
	}

	if o.LdapVerifyLdapConnectHandler == nil {
		unregistered = append(unregistered, "ldap.VerifyLdapConnectHandler")
	}

	if o.LdapVerifyLdapGroupSearchHandler == nil {
		unregistered = append(unregistered, "ldap.VerifyLdapGroupSearchHandler")
	}

	if o.LdapVerifyLdapUserSearchHandler == nil {
		unregistered = append(unregistered, "ldap.VerifyLdapUserSearchHandler")
	}

	if len(unregistered) > 0 {
		return fmt.Errorf("missing registration: %s", strings.Join(unregistered, ", "))
	}

	return nil
}

// ServeErrorFor gets a error handler for a given operation id
func (o *KickstartUIAPI) ServeErrorFor(operationID string) func(http.ResponseWriter, *http.Request, error) {
	return o.ServeError
}

// AuthenticatorsFor gets the authenticators for the specified security schemes
func (o *KickstartUIAPI) AuthenticatorsFor(schemes map[string]spec.SecurityScheme) map[string]runtime.Authenticator {

	return nil

}

// Authorizer returns the registered authorizer
func (o *KickstartUIAPI) Authorizer() runtime.Authorizer {

	return nil

}

// ConsumersFor gets the consumers for the specified media types
func (o *KickstartUIAPI) ConsumersFor(mediaTypes []string) map[string]runtime.Consumer {

	result := make(map[string]runtime.Consumer)
	for _, mt := range mediaTypes {
		switch mt {

		case "application/json":
			result["application/json"] = o.JSONConsumer

		}

		if c, ok := o.customConsumers[mt]; ok {
			result[mt] = c
		}
	}
	return result

}

// ProducersFor gets the producers for the specified media types
func (o *KickstartUIAPI) ProducersFor(mediaTypes []string) map[string]runtime.Producer {

	result := make(map[string]runtime.Producer)
	for _, mt := range mediaTypes {
		switch mt {

		case "application/json":
			result["application/json"] = o.JSONProducer

		}

		if p, ok := o.customProducers[mt]; ok {
			result[mt] = p
		}
	}
	return result

}

// HandlerFor gets a http.Handler for the provided operation method and path
func (o *KickstartUIAPI) HandlerFor(method, path string) (http.Handler, bool) {
	if o.handlers == nil {
		return nil, false
	}
	um := strings.ToUpper(method)
	if _, ok := o.handlers[um]; !ok {
		return nil, false
	}
	if path == "/" {
		path = ""
	}
	h, ok := o.handlers[um][path]
	return h, ok
}

// Context returns the middleware context for the kickstart UI API
func (o *KickstartUIAPI) Context() *middleware.Context {
	if o.context == nil {
		o.context = middleware.NewRoutableContext(o.spec, o, nil)
	}

	return o.context
}

func (o *KickstartUIAPI) initHandlerCache() {
	o.Context() // don't care about the result, just that the initialization happened

	if o.handlers == nil {
		o.handlers = make(map[string]map[string]http.Handler)
	}

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/providers/aws/tkgconfig"] = aws.NewApplyTKGConfigForAWS(o.context, o.AwsApplyTKGConfigForAWSHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/providers/azure/tkgconfig"] = azure.NewApplyTKGConfigForAzure(o.context, o.AzureApplyTKGConfigForAzureHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/providers/docker/tkgconfig"] = docker.NewApplyTKGConfigForDocker(o.context, o.DockerApplyTKGConfigForDockerHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/providers/vsphere/tkgconfig"] = vsphere.NewApplyTKGConfigForVsphere(o.context, o.VsphereApplyTKGConfigForVsphereHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/docker/daemon"] = docker.NewCheckIfDockerDaemonAvailable(o.context, o.DockerCheckIfDockerDaemonAvailableHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/providers/aws/create"] = aws.NewCreateAWSRegionalCluster(o.context, o.AwsCreateAWSRegionalClusterHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/providers/azure/create"] = azure.NewCreateAzureRegionalCluster(o.context, o.AzureCreateAzureRegionalClusterHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/providers/azure/resourcegroups"] = azure.NewCreateAzureResourceGroup(o.context, o.AzureCreateAzureResourceGroupHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/providers/azure/resourcegroups/{resourceGroupName}/vnets"] = azure.NewCreateAzureVirtualNetwork(o.context, o.AzureCreateAzureVirtualNetworkHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/providers/docker/create"] = docker.NewCreateDockerRegionalCluster(o.context, o.DockerCreateDockerRegionalClusterHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/providers/vsphere/create"] = vsphere.NewCreateVSphereRegionalCluster(o.context, o.VsphereCreateVSphereRegionalClusterHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/providers/aws/generate"] = aws.NewGenerateTKGConfigForAWS(o.context, o.AwsGenerateTKGConfigForAWSHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/providers/azure/generate"] = azure.NewGenerateTKGConfigForAzure(o.context, o.AzureGenerateTKGConfigForAzureHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/providers/docker/generate"] = docker.NewGenerateTKGConfigForDocker(o.context, o.DockerGenerateTKGConfigForDockerHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/providers/vsphere/generate"] = vsphere.NewGenerateTKGConfigForVsphere(o.context, o.VsphereGenerateTKGConfigForVsphereHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/aws/AvailabilityZones"] = aws.NewGetAWSAvailabilityZones(o.context, o.AwsGetAWSAvailabilityZonesHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/aws/profiles"] = aws.NewGetAWSCredentialProfiles(o.context, o.AwsGetAWSCredentialProfilesHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/aws"] = aws.NewGetAWSEndpoint(o.context, o.AwsGetAWSEndpointHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/aws/nodetypes"] = aws.NewGetAWSNodeTypes(o.context, o.AwsGetAWSNodeTypesHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/aws/osimages"] = aws.NewGetAWSOSImages(o.context, o.AwsGetAWSOSImagesHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/aws/regions"] = aws.NewGetAWSRegions(o.context, o.AwsGetAWSRegionsHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/aws/subnets"] = aws.NewGetAWSSubnets(o.context, o.AwsGetAWSSubnetsHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/avi/clouds"] = avi.NewGetAviClouds(o.context, o.AviGetAviCloudsHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/avi/serviceenginegroups"] = avi.NewGetAviServiceEngineGroups(o.context, o.AviGetAviServiceEngineGroupsHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/avi/vipnetworks"] = avi.NewGetAviVipNetworks(o.context, o.AviGetAviVipNetworksHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/azure"] = azure.NewGetAzureEndpoint(o.context, o.AzureGetAzureEndpointHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/azure/regions/{location}/instanceTypes"] = azure.NewGetAzureInstanceTypes(o.context, o.AzureGetAzureInstanceTypesHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/azure/osimages"] = azure.NewGetAzureOSImages(o.context, o.AzureGetAzureOSImagesHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/azure/regions"] = azure.NewGetAzureRegions(o.context, o.AzureGetAzureRegionsHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/azure/resourcegroups"] = azure.NewGetAzureResourceGroups(o.context, o.AzureGetAzureResourceGroupsHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/azure/resourcegroups/{resourceGroupName}/vnets"] = azure.NewGetAzureVnets(o.context, o.AzureGetAzureVnetsHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/features"] = features.NewGetFeatureFlags(o.context, o.FeaturesGetFeatureFlagsHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers"] = provider.NewGetProvider(o.context, o.ProviderGetProviderHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/edition"] = edition.NewGetTanzuEdition(o.context, o.EditionGetTanzuEditionHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"][""] = ui.NewGetUI(o.context, o.UIGetUIHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/{filename}"] = ui.NewGetUIFile(o.context, o.UIGetUIFileHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/aws/vpc"] = aws.NewGetVPCs(o.context, o.AwsGetVPCsHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/vsphere/compute"] = vsphere.NewGetVSphereComputeResources(o.context, o.VsphereGetVSphereComputeResourcesHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/vsphere/datacenters"] = vsphere.NewGetVSphereDatacenters(o.context, o.VsphereGetVSphereDatacentersHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/vsphere/datastores"] = vsphere.NewGetVSphereDatastores(o.context, o.VsphereGetVSphereDatastoresHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/vsphere/folders"] = vsphere.NewGetVSphereFolders(o.context, o.VsphereGetVSphereFoldersHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/vsphere/networks"] = vsphere.NewGetVSphereNetworks(o.context, o.VsphereGetVSphereNetworksHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/vsphere/nodetypes"] = vsphere.NewGetVSphereNodeTypes(o.context, o.VsphereGetVSphereNodeTypesHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/vsphere/osimages"] = vsphere.NewGetVSphereOSImages(o.context, o.VsphereGetVSphereOSImagesHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/vsphere/resourcepools"] = vsphere.NewGetVSphereResourcePools(o.context, o.VsphereGetVSphereResourcePoolsHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/providers/vsphere/thumbprint"] = vsphere.NewGetVsphereThumbprint(o.context, o.VsphereGetVsphereThumbprintHandler)

	if o.handlers["GET"] == nil {
		o.handlers["GET"] = make(map[string]http.Handler)
	}
	o.handlers["GET"]["/api/integration/tmc"] = tmc.NewRetrieveTMCInstallYml(o.context, o.TmcRetrieveTMCInstallYmlHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/providers/aws"] = aws.NewSetAWSEndpoint(o.context, o.AwsSetAWSEndpointHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/providers/azure"] = azure.NewSetAzureEndpoint(o.context, o.AzureSetAzureEndpointHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/providers/vsphere"] = vsphere.NewSetVSphereEndpoint(o.context, o.VsphereSetVSphereEndpointHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/avi"] = avi.NewVerifyAccount(o.context, o.AviVerifyAccountHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/ldap/bind"] = ldap.NewVerifyLdapBind(o.context, o.LdapVerifyLdapBindHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/ldap/disconnect"] = ldap.NewVerifyLdapCloseConnection(o.context, o.LdapVerifyLdapCloseConnectionHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/ldap/connect"] = ldap.NewVerifyLdapConnect(o.context, o.LdapVerifyLdapConnectHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/ldap/groups/search"] = ldap.NewVerifyLdapGroupSearch(o.context, o.LdapVerifyLdapGroupSearchHandler)

	if o.handlers["POST"] == nil {
		o.handlers["POST"] = make(map[string]http.Handler)
	}
	o.handlers["POST"]["/api/ldap/users/search"] = ldap.NewVerifyLdapUserSearch(o.context, o.LdapVerifyLdapUserSearchHandler)

}

// Serve creates a http handler to serve the API over HTTP
// can be used directly in http.ListenAndServe(":8000", api.Serve(nil))
func (o *KickstartUIAPI) Serve(builder middleware.Builder) http.Handler {
	o.Init()

	if o.Middleware != nil {
		return o.Middleware(builder)
	}
	return o.context.APIHandler(builder)
}

// Init allows you to just initialize the handler cache, you can then recompose the middleware as you see fit
func (o *KickstartUIAPI) Init() {
	if len(o.handlers) == 0 {
		o.initHandlerCache()
	}
}

// RegisterConsumer allows you to add (or override) a consumer for a media type.
func (o *KickstartUIAPI) RegisterConsumer(mediaType string, consumer runtime.Consumer) {
	o.customConsumers[mediaType] = consumer
}

// RegisterProducer allows you to add (or override) a producer for a media type.
func (o *KickstartUIAPI) RegisterProducer(mediaType string, producer runtime.Producer) {
	o.customProducers[mediaType] = producer
}
